<?php

  $old_age_home_theme_custom_setting_css = '';

	// Global Color
	$old_age_home_theme_color = get_theme_mod('old_age_home_theme_color', '#008D9E');

	$old_age_home_theme_custom_setting_css .=':root {';
		$old_age_home_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($old_age_home_theme_color ).'!important;';
	$old_age_home_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$old_age_home_scroll_alignment = get_theme_mod('old_age_home_scroll_alignment', 'right');

    if($old_age_home_scroll_alignment == 'right'){
        $old_age_home_theme_custom_setting_css .='.scroll-up{';
            $old_age_home_theme_custom_setting_css .='right: 30px;!important;';
			$old_age_home_theme_custom_setting_css .='left: auto;!important;';
        $old_age_home_theme_custom_setting_css .='}';
    }else if($old_age_home_scroll_alignment == 'center'){
        $old_age_home_theme_custom_setting_css .='.scroll-up{';
            $old_age_home_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $old_age_home_theme_custom_setting_css .='}';
    }else if($old_age_home_scroll_alignment == 'left'){
        $old_age_home_theme_custom_setting_css .='.scroll-up{';
            $old_age_home_theme_custom_setting_css .='left: 30px;!important;';
			$old_age_home_theme_custom_setting_css .='right: auto;!important;';
        $old_age_home_theme_custom_setting_css .='}';
    }	

    // Related Product

	$old_age_home_show_related_product = get_theme_mod('old_age_home_show_related_product', true );

	if($old_age_home_show_related_product != true){
		$old_age_home_theme_custom_setting_css .='.related.products{';
			$old_age_home_theme_custom_setting_css .='display: none;';
		$old_age_home_theme_custom_setting_css .='}';
	}
    
    // Featured Image Hover Effect
    $old_age_home_show_featured = get_theme_mod('old_age_home_featured_image_hide_show', 1);
    $old_age_home_hover_effect = get_theme_mod('old_age_home_single_post_featured_image_hover','none');

    if ( $old_age_home_show_featured && $old_age_home_hover_effect !== 'none' ) {

    $old_age_home_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $old_age_home_hover_effect === 'zoom-in' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $old_age_home_hover_effect === 'zoom-out' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $old_age_home_hover_effect === 'grayscale' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $old_age_home_hover_effect === 'sepia' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $old_age_home_hover_effect === 'blur' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $old_age_home_hover_effect === 'bright' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $old_age_home_hover_effect === 'translate' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $old_age_home_hover_effect === 'scale' ) {
        $old_age_home_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $old_age_home_show_featured = get_theme_mod('old_age_home_featured_image_hide_show', 1);
    $old_age_home_hover_effect = get_theme_mod('old_age_home_product_featured_image_hover','none');

    if ( $old_age_home_show_featured && $old_age_home_hover_effect !== 'none' ) {

    $old_age_home_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $old_age_home_hover_effect === 'zoom-in' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $old_age_home_hover_effect === 'zoom-out' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $old_age_home_hover_effect === 'grayscale' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $old_age_home_hover_effect === 'sepia' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $old_age_home_hover_effect === 'blur' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $old_age_home_hover_effect === 'bright' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $old_age_home_hover_effect === 'translate' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $old_age_home_hover_effect === 'scale' ) {
        $old_age_home_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   